
Redmine - Feature #8418

Need more descriptive alert when deleting an issue

2011-05-20 17:49 - Greg Roe

Status: Closed Start date: 2011-05-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

This is just a usability/feature request...

The link at the bottom of an issue thread used to delete that thread can be confused with a link to delete the last post in the thread.

When you click the delete link, the alert just says, "Are you sure?". If the user thinks that he/she is deleting the last post they will click

yes and end up deleting the whole issue, and any sub-issues (we had this happen).

I would like to see a more descriptive error message here: "Are you sure you want to delete the entire issue? This will also delete any

sub-issues." (or something to that effect.)

Related issues:

Related to Redmine - Defect #6562: Context-menu deletion of issues deletes al... Closed 2010-10-03

History

#1 - 2011-05-20 17:59 - Etienne Massip

- Category set to UI

- Status changed from New to Closed

- Resolution set to Duplicate

This has already been done with #6562.

#2 - 2011-05-20 18:03 - Greg Roe

Sorry about that. I thought we were running the most up to date version. Apparently not. ;-)

Thanks for the great work!

#3 - 2011-05-20 18:30 - Etienne Massip

Well, 1.2.0 has not been released yet, so you may be actually running the most up to date version =)
